gnumach (2:1.8+git20191117-1) unstable; urgency=medium

  * New upstream snapshot.
    - git-xen-fix, git-spl-squash, git-picmask, git-interrupt-spl7,
      git-intpri, git-disable-irq: Merged.
  * patches/70_dde.patch: Update debugging prints.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Nov 2019 18:33:09 +0000

gnumach (2:1.8+git20191029-7) unstable; urgency=medium

  * patches/70_dde.patch: Fix hang on netdde crash with a nacked interrupt.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Nov 2019 21:06:12 +0000

gnumach (2:1.8+git20191029-6) unstable; urgency=medium

  * patches/70_dde.patch:
    - Make cleaning unacked IRQs less noisy.
    - Replace cli/sti with splhigh/splx.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Nov 2019 19:44:31 +0000

gnumach (2:1.8+git20191029-5) unstable; urgency=medium

  * patches/git-intpri: Refresh.
  * patches/git-disable-irq: Could number of IRQ disabling.
  * patches/70_dde.patch: Update from upstream branch, fixes shared irq between
    kernel and netdde.
  * patches/79_dde-debian.patch: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Nov 2019 01:38:31 +0000

gnumach (2:1.8+git20191029-4) unstable; urgency=medium

  * patches/git-intpri: Drop intpri array.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2019 17:00:46 +0000

gnumach (2:1.8+git20191029-3) unstable; urgency=medium

  * patches/git-picmask: Drop PIC mask management.
  * patches/git-interrupt-spl7: Run interrupts at spl 7.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2019 16:06:00 +0000

gnumach (2:1.8+git20191029-2) unstable; urgency=medium

  * patches/git-xen-fix: Fix xen boot.
  * patches/git-spl-squash: Squash spl levels.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2019 12:54:51 +0000

gnumach (2:1.8+git20191029-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/ahci-hdrtype: Upstreamed.
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 Oct 2019 00:59:07 +0000

gnumach (2:1.8+git20190109-1+hurd.1) unreleased; urgency=medium

  * patches/ahci-hdrtype: Ignore multifunction bit in PCI header type.
  * control.in, rules: Add noxen nodbg build profiles.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Apr 2019 13:13:52 +0000

gnumach (2:1.8+git20190109-1) unstable; urgency=medium

  * New upstream snapshot. Fixes interactive thread reactivity.
  * debian/source/options: Drop now-useless option.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 Jan 2019 11:59:08 +0100

gnumach (2:1.8+git20181103-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/git-automake-1.16.patch: Merged.
    - patches/70_dde.patch: Refresh.
    - patches/79_dde-debian.patch: Refresh.
  * control.in: Fix making gnumach-common any-i386.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 03 Nov 2018 20:50:32 +0000

gnumach (2:1.8+git20180728-3) unstable; urgency=medium

  * control: Make gnumach-common any-i386 so it does not need to be built on
    the "all" buildd which is amd64 (Closes: Bug#906440).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 17:57:02 +0200

gnumach (2:1.8+git20180728-2) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * patches/git-automake-1.16.patch: Fix build against automake-1.16.
  * rules: Include /usr/share/dpkg/architecture.mk instead of calling
    dpkg-architecture.
  * source.lintian-overrides: Silence spurious warning about missing -dbg
    package dependency.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 13 Aug 2018 21:44:49 +0200

gnumach (2:1.8+git20180728-1) unstable; urgency=medium

  * New upstream snapshot.
    - debian/patches/50_initrd.patch: Fix.
  * Bump Standards-Version to 4.1.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Jul 2018 16:13:11 +0000

gnumach (2:1.8+git20180218-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control: Fix gnumach-common's Replaces/Breaks.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Feb 2018 18:06:32 +0000

gnumach (2:1.8+git20171101-3) unstable; urgency=medium

  * patches/50_initrd.patch: Fix methods types.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Jan 2018 15:42:25 +0100

gnumach (2:1.8+git20171101-2) unstable; urgency=medium

  * Fix stage1 installation of headers.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Nov 2017 19:39:32 +0100

gnumach (2:1.8+git20171101-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Remove old gnumach and gnumach-dbg transitional packages.
  * rules: Fix again building mach.info...

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Nov 2017 00:34:33 +0000

gnumach (2:1.8+git20170911-2) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.1 (no changes).
  * 80_vm_object_coalesce.patch: New patch to potentially avoid coalescing
    between swappable object and non-swappable anonymous area.
  * rules: Fix building mach.info.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 04 Oct 2017 00:13:30 +0000

gnumach (2:1.8+git20170911-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use canonical anonscm vcs URL.
  * copyright: Mention common-licenses copy of MPL-1.1.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.
  * rules: Fix build with newer debhelper. Closes: #873413.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Sep 2017 08:16:28 +0000

gnumach (2:1.8+git20170609-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 Jun 2017 23:41:20 +0000

gnumach (2:1.8+git20170102-1) unstable; urgency=medium

  * New upstream snapshot.
    - 70_dde.patch: Update.
    - 71_dde.patch,72_dde.patch: Drop, merged into 70_dde.patch.
    - 79_dde-debian.patch: Split out from 70_dde.patch.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Jan 2017 12:25:41 +0000

gnumach (2:1.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Dec 2016 22:54:55 +0000

gnumach (2:1.8-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Dec 2016 15:59:28 +0100

gnumach (2:1.7+git20161202-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 Dec 2016 10:58:43 +0000

gnumach (2:1.7+git20161115-1) unstable; urgency=medium

  * New upstream snapshot.
  * copyright: Add missing licence terms. Closes: Bug#792622.
  * patches/{git-LDFLAGS,git-unregister-boot-data.patch}: Drop, merged
    upstream.
  * patches/{71,72}_dde.patch: DDE fixes from Richard Braun.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Nov 2016 00:41:29 +0000

gnumach (2:1.7+git20161023-2) unstable; urgency=medium

  * git-LDFLAGS: New patch to make build system take LDFLAGS into account.
  * rules:
    - Pass -no-pie -fno-PIE to compiler and -no-pie to linker to fix build on
    i386.
    - Fix passing flags to dbg variants.
  * patches/git-unregister-boot-data.patch: Fix boot hang in bad-luck module
    loads from grub.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Oct 2016 23:44:06 +0000

gnumach (2:1.7+git20161023-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2016 22:04:45 +0000

gnumach (2:1.7+git20160921-1) unstable; urgency=medium

  * New upstream snapshot.
    - Highmem support, i.e. >2GiB memory support.
    - patches/99_biosmem.patch: Drop, fixed.
    - patches/60_bigmem.patch: Drop, now useless.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Sep 2016 22:59:43 +0000

gnumach (2:1.7+git20160809-2) unstable; urgency=medium

  * patches/99_biosmem.patch: New patch to brown-tape-fix memory allocation
    against debugging symbols.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Aug 2016 17:41:51 +0000

gnumach (2:1.7+git20160809-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Aug 2016 21:55:03 +0000

gnumach (2:1.7+git20160607-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/99_RB.patch: Drop, fixed upstream.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Jun 2016 13:57:41 +0000

gnumach (2:1.7+git20160522-2) unstable; urgency=medium

  * Bump mig build-dep to fix stdint use in headers.
  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/99_RB.patch: revert RB patch for now, fixes mouse input in X.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Jun 2016 17:06:58 +0000

gnumach (2:1.7+git20160522-1) unstable; urgency=medium

  * New upstream release & snapshot
    - Rename packages to 1.7 according to upstream version.
  * patches/99_revert-page-cache-policy.patch: Drop, performance regression
    fixed upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 May 2016 23:29:13 +0000

gnumach (2:1.6+git20160502-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
  * control.in: Really bump dpkg-dev and debhelper versions.
  * patches/20_FP_NO.patch: Avoid defining FP_NO.
  * patches/70_dde.patch: Fix crash when delivering the interrupt makes the
    thread sleep. It is fine to do another check loop when running the
    interrupt handlers anyway.
  * patches/99_revert-page-cache-policy.patch: Revert the new cache policy for
    now: when ext2fs has a lot of objects, vm_map_enter becomes very slow.

  [ Svante Signell ]
  * rules: Add custom version in uname -v and custom packages names.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 May 2016 00:16:34 +0000

gnumach (2:1.6+git20160311-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/70_dde.patch: Update.
  * control: bump dpkg-dev and debhelper versions for restriction formulas
    support.
  * control: Bump Standards-Version to 3.9.7 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Mar 2016 21:45:02 +0000

gnumach (2:1.6+git20160114-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Bump dpkg-dev and debhelper versions to get restriction formula
    support.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Jan 2016 23:21:10 +0000

gnumach (2:1.6+git20151211-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Dec 2015 01:55:39 +0000

gnumach (2:1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Nov 2015 21:31:18 +0000

gnumach (2:1.5+git20150922-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/70_dde.patch: Include kern/experimental.server.h to fix build with
    newer mig.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Sep 2015 17:12:19 +0000

gnumach (2:1.5+git20150827-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add stage1 build profile for cross-bootstrapping gnumach. Bump dpkg-dev
    and debhelper build-dependency versions accordingly
  * patches/70_dde.patch: Also install intr.h. Closes: Bug#795770.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Aug 2015 11:24:24 +0200

gnumach (2:1.5+git20150728-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump version number to 1.5 according to upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 28 Jul 2015 19:21:04 +0000

gnumach (2:1.4+git20150711-1) unstable; urgency=medium

  * New upstream snapshot, fixes a pageout issue.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jul 2015 12:16:52 +0000

gnumach (2:1.4+git20150709-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Jul 2015 12:23:39 +0000

gnumach (2:1.4+git20150704-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/git-payload-unsafe-access.patch: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Jul 2015 22:34:53 +0000

gnumach (2:1.4+git20150409-2) unstable; urgency=medium

  * patches/git-payload-unsafe-access.patch: Add patch to fix unsafe protected
    payload access.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 17 Apr 2015 01:17:34 +0000

gnumach (2:1.4+git20150409-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Apr 2015 20:26:20 +0000

gnumach (2:1.4+git20150208-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Feb 2015 20:14:10 +0000

gnumach (2:1.4+git20150102-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 Jan 2015 18:44:06 +0000

gnumach (2:1.4+git20141214-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Dec 2014 00:35:29 +0000

gnumach (2:1.4+git20141211-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/git-R-vm_map.patch,git-nodma.patch: Remove patches, merged
    upstream.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Dec 2014 23:37:24 +0000

gnumach (2:1.4+git20141109-2) unstable; urgency=medium

  * patches/git-nodma.patch: Add nodma option.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Nov 2014 00:30:10 +0000

gnumach (2:1.4+git20141109-1) unstable; urgency=medium

  * New upstream snapshot. Fixes protected payload support.
  * patches/git-R-vm_map.patch: Revert upstream commit for now, it seems to
    interact badly with paging.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Nov 2014 22:03:06 +0000

gnumach (2:1.4+git20141107-1) unstable; urgency=medium

  * New upstream snapshot
  * rules: ignore +git version.
  * patches/git-*, patches/80_missing_files.patch: Remove.
  * Bump Standards-Version to 3.9.6 (no changes).
  * control: rename into control.in with 1.4 replaced with @version@, so
    that...
  * rules: ... make DEB_BUILD_OPTIONS=custom use the package version instead
    of the upstream version. Thanks Svante Signell for the original patch.
    Closes: Bug#762175.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Nov 2014 01:06:55 +0000

gnumach (2:1.4-12) unstable; urgency=medium

  * rules: Rebuild info documentation once (in the source tree) before building
    all variants in parallel. Closes: Bug#756909.
  * patches/git-vm-tune.patch: New patch that tunes VM parameters.
  * patches/git-vm_map.patch: New patch to fix vm_map with anywhere=true.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Sep 2014 10:37:40 +0000

gnumach (2:1.4-11) unstable; urgency=medium

  * patches/git-halt.patch: Add ACPI powerdown support.
  * patches/git-xen_races.patch: New patch to fix race conditions, notably in
    disk writes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Jul 2014 17:05:41 +0000

gnumach (2:1.4-10) unstable; urgency=medium

  * patches/git-notify_translatable{,2}.patch: New patch to make notify
    functions mutable.
  * patches/git-device_translatable.patch: New patch to make device
    functions mutable.
  * patches/git-memory_object_translatable2.patch: Fix memory object reference
    leak.
  * patches/git-mach_debug{,2}.patch: Install mach_debug defs files.
  * patches/90-fix_headers.patch: Remove, replaced by patch above.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 May 2014 20:06:12 +0000

gnumach (2:1.4-9) unstable; urgency=medium

  * patches/git-memory_object_translatable.patch: New patch to make memory
    object types translation functions mutable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Mar 2014 09:59:55 +0000

gnumach (2:1.4-8) unstable; urgency=medium

  * patches/git-physical-access.patch: Fix overflow brought by patch.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Mar 2014 15:05:11 +0000

gnumach (2:1.4-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/git-physical-access.patch: New patch, fixes access to physical
    pages beyond last_phys_addr.
  * patches/git-task_set_name.patch: New patch from git to add task_set_name
    RPC.
  * patches/90-fix_headers.patch: New patch to fix gnumach.defs build.
  * rules: Remove generated doc files.

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 20 Mar 2014 02:26:40 +0000

gnumach (2:1.4-6) unstable; urgency=medium

  * Re-enable patches/git-kentry_data_size.patch, but with an additional
    change to reduce KMEM_MAP_SIZE by 32MiB to make room for that.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 11 Feb 2014 23:47:14 +0000

gnumach (2:1.4-5) unstable; urgency=medium

  * Disable patches/git-kentry_data_size.patch for now, it breaks d-i boot for
    some reason.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 11 Feb 2014 23:10:46 +0000

gnumach (2:1.4-4) unstable; urgency=medium

  * patches/git-quiet-cd-floppy.patch: New patch to quiet down CD and floppy
    sense errors.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Feb 2014 00:21:43 +0000

gnumach (2:1.4-3) unstable; urgency=medium

  * patches/{kentry_data_size,thread_terminate_release,
    xen_clock_overflow}.patch: Add "git-" prefix to patch name.
  * patches/git-cursor_init.patch: New patch to make sure cursor is
    initialized.
  * patches/git-coverity-fixes.patch: New patch to fix several issues found by
    Coverity.
  * patches/git-mig-inlines.patch: New patch to inline MIG-generated demuxers.
  * control: Bump mig version dependency to get inlined MIG demuxers.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 05 Feb 2014 11:47:53 +0000

gnumach (2:1.4-2) unstable; urgency=medium

  * control: Bump Standards-Version to 3.9.5 (no changes).
  * patches/kentry_data_size.patch: New patch to increase KENTRY_DATA_SIZE.
  * patches/thread_terminate_release.patch: New patch to add
    thread_terminate_release RPC.
  * patches/xen_clock_overflow.patch: New patch to fix Xen clock computation.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Jan 2014 16:54:11 +0000

gnumach (2:1.4-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream release.
    - Rename packages from 1.3.99 to 1.4.
    - patches/00_clean_gfdl.patch: Drop, upstream documentation does not have
      invariant sections any more.
    - rules: Install documentation.
    - control: Depend on texinfo.
  * Bump Standards-Version to 3.9.4 (no changes).
  * patches/70_dde.patch: Fix experimental.defs creation.
  * patches/80_missing_files.patch: Add missing files from git.

  [ Pino Toscano ]
  * Update Vcs-* headers.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Sep 2013 12:10:13 +0000

gnumach (2:1.3.99.dfsg.git20130624-1) unstable; urgency=low

  * New upstream snapshot
    - Fix partitioning reloading.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Jun 2013 15:22:49 +0200

gnumach (2:1.3.99.dfsg.git20130610-1) unstable; urgency=low

  * New upstream snapshot
    - Adds non-contiguous memory maps support.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Jun 2013 00:46:11 +0000

gnumach (2:1.3.99.dfsg.git20130510-1) unstable; urgency=low

  * New upstream snapshot.
    - Adds AHCI support.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 May 2013 22:29:22 +0000

gnumach (2:1.3.99.dfsg.git20130501-1) unstable; urgency=low

  * New upstream snapshot
  * Fixes grave issues with grub-probe/update-grub/reconfigure gnumach-image.
  * rules: Do not pass -fno-omit-frame-pointer for -dbg builds ourselves,
    upstream is now doing it.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 May 2013 23:25:29 +0000

gnumach (2:1.3.99.dfsg.git20130311-1) unstable; urgency=low

  * New upstream snapshot.
    - patches/20_slow-boot.patch: Remove, merged upstream.
    - patches/60_bigmem.patch: Refresh.
  * control: Make gnumach-dev multi-arch:same.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Mar 2013 23:52:47 +0000

gnumach (2:1.3.99.dfsg.git20121227-2) unstable; urgency=low

  * patches/20_slow-boot.patch: Cherry-pick from upstream to fix slow boot in
    virtualbox.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Dec 2012 21:58:55 +0000

gnumach (2:1.3.99.dfsg.git20121227-1) unstable; urgency=low

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Dec 2012 16:52:39 +0000

gnumach (2:1.3.99.dfsg.git20120923-1) unstable; urgency=low

  * New upstream snapshot
    - patches/10_cdromlock.patch: Remove, merged upstream
    - patches/13_ide_dma.patch: Remove, merged upstream
    - patches/24_pci_irq_fix.patch: Remove, merged upstream
    - patches/70_dde.patch: Refresh.
  * patches/60_bigmem.patch: Also set Xen to 2/2 memory model.
  * patches/40_iopl_mem.patch: Remove
  * control: Break xserver before 1.9.99.1.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Jul 2012 15:59:33 +0200

gnumach (2:1.3.99.dfsg.git20120710-1) unstable; urgency=low

  * New upstream snaphsot

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Jul 2012 01:59:41 +0000

gnumach (2:1.3.99.dfsg.git20120610-1) unstable; urgency=low

  * New upstream snapshot.
  * patches/12_version_suffix.patch: New patch to append suffix to Mach version.
  * rules:
    - Disable net, pcmcia and wireless groups
    - Add version suffixes.
  * control:
    - Do not provide nic-modules, nic-pcmcia-modules, nic-wireless-modules
    and pcmcia-modules any more.
    - Break old hurd package versions, to provide smooth network driver
    transition.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Jun 2012 23:36:00 +0200

gnumach (2:1.3.99.dfsg.git20120505-1) unstable; urgency=low

  * New upstream snapshot.
  * control: Bump Standards-Version to 3.9.3 (no changes).
  * patches/50_initrd.patch: Refresh.
  * patches/60_bigmem.patch: Also update the kernel/user addresses limit.
  * patches/70_dde.patch: Fix erroneous prototype.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 May 2012 13:22:36 +0200

gnumach (2:1.3.99.dfsg.git20120219-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/control:
    - Do not make gnumach-dbg depend on gnumach.
    - Remove article in synopsis.
    - Set Multi-Arch: foreign for gnumach-common.
  * debian/rules:
    - Add stamp files, and build-indep and build-arch targets.
    - Pass -fno-omit-frame-pointer for -dbg builds, to fix kernel debugger
      traces & co.
    - Enable parallel build.
  * debian/patches/70_dde.patch: Add experimental support for irq passing and
    physical memory allocation for DDE. Also adds nonetdev boot parameter to
    disable network device drivers.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Feb 2012 00:32:41 +0000

gnumach (2:1.3.99.dfsg.git20111010-1) unstable; urgency=low

  * New upstream snapshot.
    - debian/patches/50_initrd.patch: Refresh.
  * debian/control:
    - Do not make -dbg package depend on the non-dbg packages.
    - Make gnumach-image-* packages depend on gnumach-common
      (Closes: Bug#632445).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Oct 2011 21:53:25 +0000

gnumach (2:1.3.99.dfsg.git20110805-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/control: build udebs on hurd-i386 only.
  * debian/patches/13_ide_dma.patch: Do not stop DMA before reading its
    status.
  * debian/rules: Add prerm, preinst, postrm, postinst to -dbg kernels too, to
    update grub list.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Aug 2011 11:41:13 +0000

gnumach (2:1.3.99.dfsg.git20110609-1) unstable; urgency=low

  * New upstream snapshot
  * Bump Standards-Version to 3.9.2 (no change needed)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Jun 2011 22:50:30 +0000

gnumach (2:1.3.99.dfsg.git20110305-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot
    - debian/patches/50_initrd.patch: Refresh.
  * debian/rules: Add rules to build Xen variants of gnumach.
  * debian/source/options: Enable bz2 compression.
  * debian/patches/60_bigmem.patch: Add patch to support almost up to 2GiB
    memory.
  * debian/rules: Rename /boot/gnumach* into
    /boot/gnumach-1.3.99-{xen-,}486{,-dbg}
  * debian/control:
    - Rename gnumach{,-dbg} into gnumach-image-1.3.99-486{,-dbg} (except in
    udebs).
    - Add gnumach-image-1.3.99-xen-486{,-dbg} containing Xen variants of gnumach
    - Add gnumach-common to contain msgids and info documentation shared by
    gnumach-image-1.3.99 packages, which now depend on it and replace the
    previous gnumach package.
    - Add gnumach-image-{xen-,}486, which depend on
    gnumach-image-1.3.99-{xen-,}486.
    - Re-add gnumach{,-dbg} packages, which depend on gnumach-image-486 and
    gnumach-image-1.3.99-486-dbg, make these packages break grub-pc versions
    before the one which generate menu entries for all /boot/gnumach* files.
    - Rename gnumach-udeb into kernel-image-1.3.99-486-di.
    - Add kernel-image-1.3.99-xen-486-di.
    - Use Package-Type instead of XC-Package-Type.
    - Make gnumach packages break glibc versions before the one which can cope
    with > 1GiB memory support.
    - Fix upstream URL (Closes: Bug#604257).
  * debian/rules: Apply package renames in $(pkg{,_xen,_udeb,_dbg,_xen_dbg).
  * debian/gnumach*.{install,docs}: Rename accordingly.
  * debian/patches/11_ignore_CSIn.patch: Ignore \E[6n emited by busybox.
  * debian/gnumach-image.{preinst,postinst,prerm,postrm}: Add script to get
    e.g. update-grub called.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Jul 2010 17:35:20 +0200

gnumach (2:1.3.99.dfsg.git20100732-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot.
  * debian/control
    - (gnumach-udeb): Add XC- prefix to Package-Type. Add Provides:
    kernel-image, *-modules.
    - Remove duplicate priority and section fields.
    - Add ${misc:Depends}.
  * debian/patches/40_iopl_mem.patch: Add patch, not enabled yet, to be used
    instead of 40_iopl_mmap.patch when a new snapshot is taken.
  * debian/patches/40_iopl_mmap.patch: Add a "mem" alias for the iopl device,
    since that is what upstream provides.
  * Now using Standards-Version 3.9.1 (no changes needed).
  * debian/rules: Remove enable-sis900 as it's now the default.
  * debian/patches/50_initrd.patch: New patch to add ramdisk support for d-i.
  * debian/control: Remove Neal and Jeff from Uploaders (Closes: #565164).

  [ Guillem Jover ]
  * Use any-i386 in binary package Architecture fields.
  * Update Vcs fields to point to the new git repositories.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Jul 2010 17:35:20 +0200

gnumach (2:1.3.99.dfsg.git20091128-1) unstable; urgency=low

  * New upstream git snapshot.

  [ Guillem Jover ]
  * Update debian/copyright to point to the git repository.
  * Sync with upstream:
    - debian/patches/05_halt_on_panic_flag.patch: Remove, merged upstream.
    - debian/patches/12_sis900.patch: Likewise.
    - debian/patches/14_alloc_params.patch: Likewise.
    - debian/patches/15_mem_obj_proxy.patch: Likewise.
    - debian/patches/16_ide_multsect.patch: Likewise.
    - debian/patches/20_xmm_support.patch: Likewise.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Do not include ChangeLog.0*, they are not shipped upstream anymore.
  * Remove Marcus Brinkmann from Uploaders. Closes: #503568

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Nov 2009 19:14:15 +0100

gnumach (2:1.3.99.dfsg.cvs20090220-2) unstable; urgency=low

  [ Guillem Jover ]
  * Change gnumach-dbg section to debug.
  * Change source and gnumach section to kernel.
  * Now using Standards-Version 3.8.3.

  [ Samuel Thibault ]
  * debian/patches/14_alloc_params.patch: reserve 128MiB for virtual memory
    space.  Fixes boot with more than ~900MiB.
  * debian/patches/20_mmx_support.patch: rename to 20_xmm_support.patch and
    fix comment: the added support is XMM registers, not MMX.
  * debian/control: Add myself as uploader.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Jun 2009 22:23:13 +0200

gnumach (2:1.3.99.dfsg.cvs20090220-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - Do not panic in fpintr if we receive the interrupt twice in the same
      thread. (Closes: #447036)

  [ Samuel Thibault ]
  * Remove kern/mach_param.h patch from debian/patches/14_alloc_params.patch,
    increase zone_map_size and maximum number of cached objects.

  [ Guillem Jover ]
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Remove XC- prefix from Package-Type field.
  * Sync with upstream:
    - debian/patches/00_clean_gfdl.patch: Refresh.
    - debian/patches/05_halt_on_panic_flag.patch: Likewise.
    - debian/patches/14_alloc_params.patch: Likewise.
    - debian/patches/15_mem_obj_proxy.patch: Likewise.
    - debian/patches/20_mmx_support.patch: Likewise.

 -- Guillem Jover <guillem@debian.org>  Fri, 20 Feb 2009 03:27:59 +0200

gnumach (2:1.3.99.dfsg.cvs20080708-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - Fix zalloc alignment support, and thus alignment of FPU save area.
      (Closes: #440068)
    - Enable multicast for IPv6.
    - Enable Bus Mastering on triton chipsets.
    - Fix gcc-4.3 non-inlining. (Closes: #474902)
    - Fix direction flag on syscall entry. (Closes: #469566)
    - Fix initialization of RTL8139. (Closes: #469566)

  [ Samuel Thibault ]
  * Append more agressive caching parameter to
    debian/patches/14_alloc_params.patch.
  * New patch to enable IDE multiple sector I/O when the drive can do it.
    - debian/patches/16_ide_multsect.patch
  * Clean debian/tmp-dbg.

  [ Guillem Jover ]
  * Add Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Remove repository information from debian/copyright as it is now on
    debian/control.
  * Refer to GPL-2 from common-licenses instead of just GPL.
  * Add a README.source.
  * Now using Standards-Version 3.8.0.
  * Refresh patches with -pab.
  * Remove DPATCHLEVEL variable from patches.
  * Change source and binary packages from Section base to admin.
  * Mangle the Debian version in the watch file.
  * Sync with upstream:
    - debian/patches/00_clean_gfdl.patch: Refresh.
    - debian/patches/05_halt_on_panic_flag.patch: Likewise.
    - debian/patches/13_ide_dma.patch: Likewise.
    - debian/patches/14_alloc_params.patch: Likewise.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Merge check targets into build targets.
  * Clean up debian/rules:
    - Run autoreconf on-demand, which fixes a FTBFS when built twice in a
      row. (Closes: #424353)
    - Support parallel builds by moving 'patch' dependency from
      the build to a new pre-patch-* targets that serializes configuration.
  * Properly clean up autogenerated cruft.
  * Add Build-Depends on autoconf and automake now that we call autoreconf at
    build time.

 -- Guillem Jover <guillem@debian.org>  Tue, 08 Jul 2008 16:54:06 +0300

gnumach (2:1.3.99.dfsg.cvs20070809-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - debian/patches/90_autoconf_autogen.patch: Regenerated.
  * Add an autoregen target to ease regenerating the autoconf patch.
  * Use binary:Version instead of the deprecated Source-Version substvar.
  * Do not use configure file stamps, use config.status instead.

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Aug 2007 01:45:22 +0300

gnumach (2:1.3.99.dfsg.cvs20070526-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - debian/patches/41_io_unlock_ioremove.patch: Removed, fixed upstream.
    - debian/patches/42_disable_ioperm.patch: Likewise.
    - debian/patches/43_debvice_port_fix.patch: Likewise.
    - debian/patches/44_more_ports.patch: Likewise.
    - debian/patches/45_io_per_task.patch: Likewise.
    - debian/patches/46_io_device.patch: Likewise.
    - debian/patches/20_mmx_support.patch: Sync.
    - debian/patches/90_autoconf_autogen.patch: Regenerated.
  * Temporarily restore support for memory mapping through the iopl device,
    so that stuff like X can work again. (Closes: #421135)
    - debian/patches/40_iopl_mmap.patch: New file.
    Thanks to Samuel Thibault <samuel.thibault@labri.fr>.

 -- Guillem Jover <guillem@debian.org>  Sat, 26 May 2007 10:01:54 +0300

gnumach (2:1.3.99.dfsg.cvs20070405-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - debian/patches/44_more_ports.patch: Sync.
    - debian/patches/45_io_per_task.patch: Likewise.
    - debian/patches/05_halt_on_panic_flag.patch
    - debian/patches/12_sis900.patch: Unfuzzy.
    - debian/patches/13_ide_dma.patch: Likewise.
    - debian/patches/14_alloc_params.patch: Likewise.
    - debian/patches/45_io_per_task.patch: Likewise.
    - debian/patches/46_io_device.patch: Likewise.
    - debian/patches/90_autoconf_autogen.patch: Regenerated.

 -- Guillem Jover <guillem@debian.org>  Thu, 05 Apr 2007 07:33:38 +0300

gnumach (2:1.3.99.dfsg.cvs20070306-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - Protect the net filter code from being interrupted.
      (Closes: #396741, #413185)
      Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.
    - debian/patches/00_clean_gfdl.patch: Sync.
    - debian/patches/90_autoconf_autogen.patch: Regenerated.
  * Fixed MMX register support. (Closes: #413177)
    - debian/patches/20_mmx_support.patch: Updated.
    Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.
  * Run the test suite after build. (Closes: #390872)

 -- Guillem Jover <guillem@debian.org>  Tue,  6 Mar 2007 07:51:30 +0200

gnumach (2:1.3.99.dfsg.cvs20070211-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - debian/patches/22_scsi_inf_loop.patch: Removed, merged upstream.
    - debian/patches/47_pcmcia_isa.patch: Likewise.
    - debian/patches/10_cdromlock.patch: Sync.
    - debian/patches/12_sis900.patch: Likewise.
    - debian/patches/15_mem_obj_proxy.patch: Likewise.
    - debian/patches/90_autoconf_autogen.patch: Regenerated.
  * Add MMX register support.
    - debian/patches/20_mmx_support.patch: New file.
    Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.

 -- Guillem Jover <guillem@debian.org>  Sun, 11 Feb 2007 16:11:00 +0200

gnumach (2:1.3.99.dfsg.1-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - debian/patches/01_gcc-4.1.patch: Removed, merged upstream.
    - debian/patches/00_clean_gfdl.patch: Sync.
    - debian/patches/05_halt_on_panic_flag.patch: Likewise.
    - debian/patches/10_cdromlock.patch: Likewise.
    - debian/patches/12_sis900.patch: Likewise.
    - debian/patches/13_ide_dma.patch: Likewise.
    - debian/patches/14_alloc_params.patch: Likewise.
    - debian/patches/15_mem_obj_proxy.patch: Likewise.
    - debian/patches/41_io_unlock_ioremove.patch: Likewise.
    - debian/patches/42_disable_ioperm.patch: Likewise.
    - debian/patches/43_debvice_port_fix.patch: Likewise.
    - debian/patches/44_more_ports.patch: Likewise.
    - debian/patches/45_io_per_task.patch: Likewise.
    - debian/patches/46_io_device.patch: Likewise.
    - debian/patches/47_pcmcia_isa.patch: Disabled, merged upstream.
    - debian/patches/90_autoconf_autogen.patch: Regenerated.
    - debian/patches/61_vm_resident-zoned.patch: Disable for now, it's
      causing problems with current applied patches in CVS.
  * Adapt to the new automakified build system:
    - New D and D_DBG variables pointing to the package destination dirs.
    - Remove debian/rules.options, now unneeded with the default configure
      options, except for '--enable-sis900' which is not enabled by default.
    - Pass --prefix and --exec-prefix to configure.
    - Use DESTDIR instead of passing the prefix and exec_prefix variables.
    - Call install instead of install-kernel and install-headers for the
      default build.
    - Call install-exec instead of install-kernel for the -dbg build.
    - Use dh_install to install files from D and D_DBG into the proper
      package dirs.
    - debian/gnumach-dbg.install: New file.
    - debian/gnumach-dev.install: Likewise.
    - debian/gnumach-udeb.install: Likewise.
    - debian/gnumach.install: Likewise. Install the msgids. (Closes: #365828)
  * Completely removed the doc/ directory.
    - Document the removal of the non-free GFDL manual in debian/copyright.
    - Do not try to build the now non-existent doc/ directory.
    - Disable dh_installinfo.
  * Cleanup debian/rules file:
    - Remove the manual cruft-removal line from the clean target.
    - Remove the stamp file for the -dbg build.
    - Merge the install-gnumach-dbg and install-gnumach targets into install.

 -- Guillem Jover <guillem@debian.org>  Tue, 14 Nov 2006 05:11:48 +0200

gnumach (1:20060826.dfsg.1-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - Disable wavelan driver as it does not build anymore with the updated
      Linux header files.
    - Make gnumach-dbg Depend on gnumach with the exact same version, due
      to an interface change in the networking code, to drag it as well.
    - debian/patches/05_halt_on_panic_flag.patch: Sync.
    - debian/patches/10_cdromlock.patch: Likewise.
    - debian/patches/12_sis900.patch: Likewise.
    - debian/patches/13_ide_dma.patch: Likewise.
    - debian/patches/61_vm_resident-zoned.patch: Likewise.
    - debian/patches/90_autoconf_autogen.patch: Likewise.
    - debian/patches/23_ps2_mouse.patch: Removed, integrated upstream.
    - debian/patches/50_mem_limit.patch: Likewise.
  * Switch to quilt:
    - debian/control: Add quilt (>= 0.40) to Build-Depends.
    - debian/patches/series: New file.
    - debian/patch.mk: Removed.
    - debian/rules: Include '/usr/share/quilt/quilt.make' instead of
      'debian/patch.mk'. Change clean to a single colon target and make it
      depend on patch.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Fix an unused field optimization with gcc 4.1 which was causing the
    descriptor initialization to do it partially.
    - debian/patches/01_gcc-4.1.patch: New file.
    Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.
  * Enable PCMCIA ISA support.
    - debian/patches/47_pcmcia_isa.patch: New file.
    Thanks to Stefan Siegl <stesie@brokenpipe.de>.
  * Enable all PCMCIA options.

 -- Guillem Jover <guillem@debian.org>  Thu, 31 Aug 2006 04:43:57 +0300

gnumach (1:20060408.dfsg.1-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - Fix I/O problem with Hurd console and X.

 -- Guillem Jover <guillem@debian.org>  Sat,  8 Apr 2006 19:35:22 +0300

gnumach (1:20060402.dfsg.1-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - Remove GFDL license and the manual licensed with it.
    - debian/patches/00_clean_gfdl.patch: Do not build the manual.
    - debian/patches/11_nic_update.patch: Removed, integrated upstream.
    - debian/patches/16_net_apricot_stack_of.patch: Likewise.
    - debian/patches/17_net_gcc_4.0.patch: Likewise.
    - debian/patches/20_ide_disable_irqs.patch: Likewise.
    - debian/patches/21_pata_off_by_one_irq.patch: Likewise.
    - debian/patches/31_tls_ldt.patch: Likewise.
    - debian/patches/40_user-tss.patch: Likewise.
    - debian/patches/00_build_make_beta.patch: Removed, fixed upstream
    - debian/patches/12_sis900.patch: Sync.
    - debian/patches/13_ide_dma.patch: Likewise.
    - debian/patches/15_mem_obj_proxy.patch: Likewise.
    - debian/patches/41_io_unlock_ioremove.patch: Likewise.
    - debian/patches/42_disable_ioperm.patch: Likewise.
    - debian/patches/44_more_ports.patch: Likewise.
    - debian/patches/45_io_per_task.patch: Likewise.
    - debian/patches/46_io_device.patch: Likewise.
    - debian/patches/50_mem_limit.patch: Likewise.
    - debian/patches/90_autoconf_autogen.patch: Likewise.
  * Fix -H kernel command line argument to halt on panic. (Closes: #184624)
    - debian/patches/05_halt_on_panic_flag.patch: New file.
    Thanks to Soeren D. Schulze <soeren.d.schulze@gmx.de>.
  * Do not allow PCI IRQ's higher than 16.
    - debian/patches/patches/24_pci_irq_fix.patch: New file.
    Thanks to Gianluca Guida <glguida@gmail.com>.
  * Make the Linux device drivers use dynamic memory allocation via the
    glue code.
    - debian/patches/61_vm_resident-zoned.patch: New file.
    Thanks to Gianluca Guida <glguida@gmail.com>.
  * Build with -fno-strict-aliasing.
  * Remove Build-Depend on the new POSIX compliant make, it should work on
    old versions as well now.
  * Remove the no longer needed texinfo Buil-Depends, and comment out the
    mach.info from debian/gnumach.info.

 -- Guillem Jover <guillem@debian.org>  Sun,  2 Apr 2006 17:30:25 +0300

gnumach (1:20050801-4) unstable; urgency=low

  * Actually enable the io access disabling patch.
    - debian/patches/42_disable_ioperm.disabled: Rename to ...
    - debian/patches/42_disable_ioperm.patch: ... this.
  * Check for correct return code from pcibios in de4x5 SCSI driver, which
    was making it loop infinitely if probed.
    - debian/patches/22_scsi_inf_loop.patch: New file.
    Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.
  * Fix PS2 mouse command drivers reception, affecting among others its
    correct detection.
    - debian/patches/23_ps2_mouse.patch: New file.
    Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.
  * Build-Depend on the new POSIX compliant make.

 -- Guillem Jover <guillem@debian.org>  Mon, 16 Jan 2006 05:40:33 +0200

gnumach (1:20050801-3) unstable; urgency=low

  * Fix build failure with latest make 3.81 beta and the new POSIX behaviour
    related to new line vs shell command.
    - debian/patches/00_build_make_beta.patch: New file.
    Thanks to Alfred M. Szmidt <ams@gnu.org>.
  * Added ChangeLog entries.
    - debian/patches/13_ide_dma.patch: Modify
    - debian/patches/14_alloc_params.patch: Likewise.
  * Fix io port access. (Closes: #46709)
    - debian/patches/40_user-tss.patch: New file.
    - debian/patches/41_io_unlock_ioremove.patch: Likewise.
    - debian/patches/42_disable_ioperm.disabled: Likewise.
    - debian/patches/43_debvice_port_fix.patch: Likewise.
    - debian/patches/44_more_ports.patch: Likewise.
    - debian/patches/45_io_per_task.patch: Likewise.
    - debian/patches/46_io_device.patch: Likewise.
    Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.
  * Fix memory limit, that was causing panics when having roughly more than
    768 MiB of physical memory. (Closes: #226609)
    - debian/patches/50_mem_limit.patch: New file.
    Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.

 -- Guillem Jover <guillem@debian.org>  Thu, 12 Jan 2006 00:54:05 +0200

gnumach (1:20050801-2) unstable; urgency=low

  * Added a watch file.
  * Fix segmentation fault on boot. The apricot net driver was trashing the
    stack when reading the MAC address from the io port. (Closes: #340389)
    - debian/patches/16_net_apricot_stack_of.patch: New file.
    Thanks to Sergio Lopez  <koro@sinrega.org>.
  * Fix invalid lvalue errors with gcc-4.0 in ne2k-pci driver.
    - debian/patches/11_nic_update.patch: Split into ...
    - debian/pacthes/17_net_gcc_4.0.patch: ... here.
    Thanks to Thomas Schwinge <tschwinge@gnu.org>.

 -- Guillem Jover <guillem@debian.org>  Mon, 28 Nov 2005 03:46:36 +0200

gnumach (1:20050801-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - debian/patches/00_autoconf_update.patch: Remove, integrated upstream.
    - debian/patches/11_nic_update.patch: Rediff.
    - debian/patches/90_autoconf_autogen.patch: Regenerate.
  * No need to rename Drivers.in to configure.ac anymore.
  * Add DPATCHLEVEL and ChangeLog entry.
    - debian/patches/12_sis900.patch: Update.
  * Disable IDE interrupts when the driver requests that through
    request_irq().
    - debian/patches/20_ide_disable_irqs.patch: New file.
    Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.
  * Fix an off-by-one bug in the PATA probe function.
    - debian/patches/21_pata_off_by_one_irq.patch: New file.
    Thanks to Sergio Lopez <koro@sinrega.org>.
  * Set correct values for %gs and %fs when entering kernel mode. Make sure
    to always copy the master LDT when the user does not have a modified one.
    - debian/patches/31_tls_ldt.patch: New file.
    Thanks to Jeroen Dekkers <jeroen@dekkers.cx>.
  * Now using Standards-Version 3.6.2 (no changes needed).
  * Wrap lines in debian/control fields (knowingly breaking policy).
  * Upgrade to debhelper compat version 5.
  * Update FSF's address.

 -- Guillem Jover <guillem@debian.org>  Thu, 10 Nov 2005 06:01:36 +0200

gnumach (1:20050501-4) unstable; urgency=low

  * Add proxy memory objets.
    - debian/patches/15_mem_obj_proxy.patch.
    Thanks to Marcus Brinkmann <marcus@gnu.org>.

 -- Guillem Jover <guillem@debian.org>  Wed,  8 Jun 2005 02:01:42 +0300

gnumach (1:20050501-3) unstable; urgency=low

  * Provide a udeb package.
    - Depend on debhelper >= 4.2.
  * Cleaned debian/rules:
    - Merge install-gnumach-dev target with install-gnumach.
    - Add PHONY targets.
    - Remove unused all target.

 -- Guillem Jover <guillem@debian.org>  Thu,  2 Jun 2005 22:14:40 +0300

gnumach (1:20050501-2) unstable; urgency=low

  * Add a system stabilizer patch.
    - debian/patches/14_alloc_params.patch.
    Thanks to Neal H. Walfield <neal@cs.uml.edu>.
  * Reverse the meaning of --enable-ide-forcedma.
    - debian/patches/13_ide_dma.patch.
    Thanks to Sergio López <koro@menteslibres.org> for noticing.

 -- Guillem Jover <guillem@debian.org>  Sat, 14 May 2005 20:42:29 +0300

gnumach (1:20050501-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - debian/patches/12_fixes_gcc-3.4.patch: Remove upstream integrated patch.
    - debian/patches/14_disable_fpe.patch: Likewise.
    - debian/patches/15_disable_qlogic_firmware.patch: Likewise.
    - debian/patches/16_enable_debug.patch: Likewise.
    - debian/patches/17_fix_double_free.patch: Likewise.
    - debian/patches/18_linux_printk_buffer_overrun.patch: Likewise.
    - debian/patches/19_cpu_detect.patch: Likewise.
    - debian/patches/20_glue_block_assert.patch: Likewise.
    - debian/patches/10_cdromlock.patch: Rediff.
    - debian/patches/90_autoconf_autogen.patch: Regenerate.
  * Add support for SiS 900 NIC.
    - debian/patches/12_sis900.patch: New file.
    Thanks to Andreas B. Mundt <andi.mundt@web.de>.
  * Move configure drivers list to debian/rules.options.

 -- Guillem Jover <guillem@debian.org>  Sun,  1 May 2005 20:29:08 +0300

gnumach (1:20040915.dfsg.1-2) unstable; urgency=low

  * Fix a typo in natsemi driver enable command. (Closes: #293950)
    Thanks to Regis Boudin <regis.boudin@gmail.com>.
  * Sync patches with latest ones sent to upstream.
  * Remove leftover assert on the block glue code.
  * Fix Subversion repository address.

 -- Guillem Jover <guillem@debian.org>  Thu, 10 Feb 2005 06:19:15 +0100

gnumach (1:20040915.dfsg.1-1) unstable; urgency=low

  * Repackage upstream source to remove binary only data. (Closes: #252323)
    - i386/i386/fpe.b: Remove binary without source.
    - i386/i386/fpe.b_elf: Likewise.
    - linux/src/drivers/scsi/qlogicisp_asm.c: Likewise.
  * Disable floating point emulation usage.
  * Disable qlogicisp firmware loading.
  * Change "ifdef DEBUG" to "ifndef NDEBUG" for asserts and other low
    footprint debugging stuff, so building with asserts enabled by default.
  * Fix double free and memory loss probing partition table.
    Thanks to Neal H. Walfield <neal@cs.uml.edu>.
  * Fix possible buffer overrun on linux printk.
    Thanks to Neal H. Walfield <neal@cs.uml.edu>.
  * Fix cpu detection code.
  * Do not use stamp files for build targets.

 -- Guillem Jover <guillem@debian.org>  Mon, 22 Nov 2004 04:50:50 +0100

gnumach (1:20040915-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Changed Maintainer address.
  * Added former implicit maintainers to Uploaders.
  * Added myself to Uploaders.
  * Cleaned and updated debian/copyright file.
  * Honour DEB_BUILD_OPTIONS.
  * Split patches into debian/patches/.
  * Allow to build natively on non GNU/Hurd systems.
  * Enable i386, kfreebsd-i386 and knetbsd-i386 on all packages.
  * Move gnumach-dev to binary-arch in debian/rules.
  * Switched to debhelper.
  * Now using Standards-Version 3.6.1.
  * Update autoconf.
    Based on a patch by Neal H. Walfield <neal@cs.uml.edu>, thanks.
  * Update NICs from Linux.
    Thanks to Alfred M. Szmidt <ams@kemisten.nu> and
    Arief M. Utama <arief_mulya@yahoo.com>.
  * Add newer IDE DMA support.
    Thanks to Sergio López <koro@menteslibres.org>.
  * Fix build failures for gcc-3.4.

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Oct 2004 09:53:30 +0200

gnumach (1:20040229-1) unstable; urgency=low

  * Update to CVS 20040229.
  * debian/control: Add texinfo to build dependencies.
  * debian/control: Add myself as uploader.
  * Patches applied to CVS code: cdromlock.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 29 Feb 2004 21:43:12 +0200

gnumach (1:20020421-1) unstable; urgency=low

  * Update to CVS 20020421.
  * Patches applied to CVS code: cdromlock.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 21 Apr 2002 18:53:13 +0200

gnumach (1:20011013-1) unstable; urgency=low

  * Update to CVS 20011013.
  * Patches applied to CVS code: cdromlock.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sat, 13 Oct 2001 00:21:15 +0200

gnumach (1:20011005-2) unstable; urgency=low

  * Update to CVS 20011005.
  * Patches applied to CVS code: cdromlock.

 -- Marcus Brinkmann <brinkmd@debian.org>  Fri,  5 Oct 2001 21:14:51 +0200

gnumach (1:20010918-1) unstable; urgency=low

  * Update to CVS 2001918.
  * Patches applied to CVS code: cdromlock.

 -- Marcus Brinkmann <brinkmd@debian.org>  Tue, 18 Sep 2001 23:15:17 +0200

gnumach (1:20010818-1) unstable; urgency=low

  * Update to CVS 20010718.
  * Patches applied to CVS code: cdromlock.
  The other patches are in CVS now.

  * Wading through the bug list, there are some old bugs
  fixed long ago, closes: #37954, #47948, #85302, #45792
  * debian/rules: Make it build via direct invocation, submitted
  by Robert Bihlmeyer, closes: #101697.
  
  * control: New package gnumach-dbg.  This kernel is not stripped and includes the
  kernel-level debugger.
  * debian/rules: Build this package.

 -- Marcus Brinkmann <brinkmd@debian.de>  Sat, 18 Aug 2001 02:15:06 +0200

gnumach (1:20010718-1) unstable; urgency=low

  * Update to CVS 20010718.
  * Patches applied to CVS code: cdromlock, color, kbd_enqueu.

 -- Marcus Brinkmann <brinkmd@debian.org>  Wed, 18 Jul 2001 22:10:20 +0200

gnumach (1:1.2-11) unstable; urgency=low

  * debian/rules (stamp-configure): Add ncr53c8xx driver.
  * Update to CVS 20010528.
  * Patches applied to CVS code: cdromlock, color, kbd_enqueu.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 27 May 2001 14:14:12 +0200

gnumach (1:1.2-10) unstable; urgency=low

  * debian/rules (stamp-configure): Disable eatadma driver, which
  prevents booting on some AMD K7 motherboards. Reported by
  Robert Bihlmeyer <robbe@orcus.priv.at>.
  * Update to CVS 20010429, which contains support for high baud rates
  (B57600, B115200).
  * Patches applied to CVS code: cdromlock, color, kbd_enqueu.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 29 Apr 2001 21:41:34 +0200

gnumach (1:1.2-9) unstable; urgency=low

  * Update to CVS 20010111, which contains a new interface for
  block devices with a large number of blocks.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu, 11 Jan 2001 23:45:49 +0100

gnumach (1:1.2-8) unstable; urgency=low

  * Applied patch by Alexey Dejneka <adejneka@comail.ru> to fix CD ROM
  locking problem.
  * debian/control: Add mig and sharutils to list of build dependencies
  (sharutils for uudecode for fpu emu), closes: #74794.
  * linux/src/drivers/net/tulip.c: Update from Linux 2.2.17, thanks
  Jason Henry Parker <jasonp@uq.net.au>
  
 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 26 Nov 2000 03:46:08 +0100

gnumach (1:1.2-7) unstable; urgency=low

  * Update to CVS 20000929, which contains a fix for comX.
  * debian/rules: Drop --enable-lpr, which doesn't work.
  Drop --enable-com, which is already enforced.
  
 -- Marcus Brinkmann <brinkmd@debian.org>  Fri, 29 Sep 2000 20:24:54 +0200

gnumach (1:1.2-5) unstable; urgency=low

  * Update to CVS 20000817, which contains a fix for
  linux/dev/glue/block.c.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu, 17 Aug 2000 03:22:30 +0200

gnumach (1:1.2-4) unstable; urgency=low

  * Add color support to gnumach. Set TERM to mach-color to get the full
  effect. Thanks to Juli-Manel Merino Vidal <jmmv@mail.com> for working
  out the mapping between ANSI color codes and the bits to poke into the
  attribute.

 -- Marcus Brinkmann <brinkmd@debian.org>  Tue,  8 Aug 2000 21:00:50 +0200

gnumach (1:1.2-3) unstable; urgency=low

  * Snapshot from CVS 20000703.
  * i386/i386at/kd.c: Receive 0xE0 scan codes (patch by Kalle Olavi Niemitalo).
  * Patch to get it compile with gcc-2.95.1 or newer
  ( by "Weil, Stefan 3732 EPE-24" <Stefan.Weil@de.heidelberg.com>
  and Igor Khavkine <i_khavki@alcor.concordia.ca>)

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon,  3 Jul 2000 21:05:42 +0200

gnumach (1:1.2-2) unstable; urgency=low

  * Snapshot from CVS 19990907.
  * Reenable all network interfaces, because the problem is fixed.
  * Gzip gnumach binary.

 -- Marcus Brinkmann <brinkmd@debian.org>  Wed,  8 Sep 1999 00:15:39 +0200

gnumach (1:1.2-1) unstable; urgency=low

  * Snapshot from CVS 19990725.
  * Start from official 1.2 release.
  * Remove some network card drivers that seems to have no autodetection in
    order to get a maximum set of cards enabled that allows GNU Mach to detect
    at least one.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon, 26 Jul 1999 01:31:31 +0200

gnumach (1:1.1.92-5) unstable; urgency=low

  * Snapshot from CVS 19990616.
  * Marks dummy network driver still there.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu, 17 Jun 1999 16:53:50 +0200

gnumach (1:1.1.92-4) unstable; urgency=low

  * Snapshot from CVS 19990602.
  * Marks dummy network driver still there.
  * Replaced linux/dev/drivers/block/genhd.c to avoid a bug.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sat,  5 Jun 1999 00:59:43 +0200

gnumach (1:1.1.92-2) unstable; urgency=low

  * Snapshot from CVS 19990524.
  * Applied Marks dummy network driver.
  * Enabled thousands more devices.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon, 24 May 1999 18:00:19 +0200

gnumach (1:1.1.92-1) unstable; urgency=low

  * Snapshot from CVS 19990507.

 -- Marcus Brinkmann <brinkmd@debian.org>  Fri,  7 May 1999 20:46:06 +0200

gnumach (1:1.1.90-2) unstable; urgency=low

  * Fix package administration information to reflect that maintainership
    has been transferred to bug-hurd@gnu.org.
  * Merge a few configuration fixes from Marcus Brinkmann.
  * Install include files into /usr/include, for the benefit of people
    without the /usr symlink.

 -- Gordon Matzigkeit <bug-hurd@gnu.org>  Wed, 17 Feb 1999 16:50:54 -0600

gnumach (1:1.1.90-1) unstable; urgency=low

  * New version from OKUJI Yoshinori.
  * Use DEB_{BUILD,HOST}_GNU_TYPE, in accordance with Marcus's new
    cross-build proposal.

 -- Gordon Matzigkeit <gord@debian.org>  Tue, 11 Feb 1999 22:14:01 -0600

gnumach (19990116-1) unstable; urgency=low

  * New version from OKUJI Yoshinori.
  * Added kmsg.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon, 18 Jan 1999 17:11:58 +0100

gnumach (19981118-2) unstable; urgency=low

  * Split into gnumach and gnumach-dev.
  * Added keyboard patch by Tudor Hulubei <tudor@cs.unh.edu> to fix some
    keybord issues.
  * Bumped Standards: version to 2.5.0.0.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun,  3 Jan 1999 13:53:28 +0100

gnumach (19981118-1) unstable; urgency=low

  * New version from OKUJI Yoshinori  <okuji@kuicr.kyoto-u.ac.jp>.
    This is not a new upstream version, but includes the Linux 2.0.36 driver.
  * Strip the kernel.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sat, 19 Dec 1998 05:27:30 +0100

gnumach (19981025-1) unstable; urgency=low

  * New upstream snapshot.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sat,  7 Nov 1998 18:56:53 +0100

gnumach (1.1.3-2) unstable; urgency=low

  * Added CPU_TYPE_{I486,PENTIUM,PENTIUMPRO,POWERPC} to
    ./include/mach/machine.h. This is needed for latest hurd release.
  * Changed description (thank you, Santiagio).

 -- Marcus Brinkmann <brinkmd@debian.org>  Sat,  1 Aug 1998 21:33:31 +0200

gnumach (1.1.3-1) unstable; urgency=low

  * Initial Version.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sat,  1 Aug 1998 21:33:31 +0200
